# Uses of Interface
org.eclipse.emf.compare.command.ICompareCommandStack

Packages that use ICompareCommandStack
Package
Description
org.eclipse.emf.compare.command.impl
org.eclipse.emf.compare.domain
org.eclipse.emf.compare.domain.impl
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions

## Uses of ICompareCommandStack in org.eclipse.emf.compare.command.impl

Classes in org.eclipse.emf.compare.command.impl that implement ICompareCommandStack
Modifier and Type
Class
Description
`class`
`CompareCommandStack`
A simple `ICompareCommandStack` that delegate execution to another command stack but keep informations about execution to properly reply to `ICompareCommandStack` protocol.
`class`
`DualCompareCommandStack`
`ICompareCommandStack` implementation that will delegates to two given command stacks; one for each side of the comparison.
`class`
`TransactionalDualCompareCommandStack`
`ICompareCommandStack` implementation that will delegate to two given command stacks; one for each side of the comparison.

## Uses of ICompareCommandStack in org.eclipse.emf.compare.domain

Methods in org.eclipse.emf.compare.domain that return ICompareCommandStack
Modifier and Type
Method
Description
`ICompareCommandStack`
ICompareEditingDomain.`getCommandStack()`
Returns the associated `ICompareCommandStack`.

## Uses of ICompareCommandStack in org.eclipse.emf.compare.domain.impl

Methods in org.eclipse.emf.compare.domain.impl that return ICompareCommandStack
Modifier and Type
Method
Description
`ICompareCommandStack`
EMFCompareEditingDomain.`getCommandStack()`
Returns the associated `ICompareCommandStack`.
Constructors in org.eclipse.emf.compare.domain.impl with parameters of type ICompareCommandStack
Modifier
Constructor
Description
``
`EMFCompareEditingDomain(Notifier left, Notifier right, Notifier ancestor, ICompareCommandStack commandStack)`
Creates a new instance with the given notifiers to be listen to when something will be changed.

## Uses of ICompareCommandStack in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions

Methods in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions with parameters of type ICompareCommandStack
Modifier and Type
Method
Description
`protected void`
MergeAction.`execute(ICompareCommandStack commandStack, MergeMode mode, List<Diff> diffs)`
`protected void`
MergeAllNonConflictingAction.`execute(ICompareCommandStack commandStack, MergeMode mode, List<Diff> diffs)`
`protected void`
MergeAction.`executeCompareCopyCommand(ICompareCommandStack commandStack, MergeMode mode, List<Diff> diffs)`